## org.apache.mahout.math.function
Class Mult

    java.lang.Object
      org.apache.mahout.math.function.DoubleFunction
          org.apache.mahout.math.function.Mult

    public final class Mult

extends DoubleFunction

Only for performance tuning of compute intensive linear algebraic computations. Constructs functions that return one of

- `a * constant`
- `a / constant`

`a` is variable, `constant` is fixed, but for performance reasons publicly accessible. Intended to be passed to `matrix.assign(function)` methods.

Method Summary
`double` `apply(double a)` Returns the result of the function evaluation.
`static Mult` `div(double constant)` `a / constant`.
`double` `getMultiplicator()`
`static Mult` `mult(double constant)` `a * constant`.
`void` `setMultiplicator(double multiplicator)`

Methods inherited from class org.apache.mahout.math.function.DoubleFunction
`isDensifying`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### apply

    public double apply(double a)

  Returns the result of the function evaluation.

  Specified by:
    `apply` in class `DoubleFunction`
  Parameters:
    `a` - double for the argument
  Returns:
    the result of applying the function

### div

    public static Mult div(double constant)

  `a / constant`.

### mult

    public static Mult mult(double constant)

  `a * constant`.

### getMultiplicator

    public double getMultiplicator()

### setMultiplicator

    public void setMultiplicator(double multiplicator)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.